#!/bin/sh

#
# Copyright 2019 Cumulus Networks, Inc.
# All rights reserved.
#

cpld_path="/sys/bus/i2c/devices/11-0060"

mkdir -p /run/cumulus/poe
touch /run/cumulus/poe/supported # used for unit file ConditionPathExists

[ -w "${cpld_path}/poe_enable" ] || {
    echo $0: "Unable to find ${cpld_path}/poe_enable"
    exit 1
}
echo 0x1 > ${cpld_path}/poe_enable

[ -w "${cpld_path}/reset_poe" ] || {
    echo $0: "Unable to find ${cpld_path}/reset_poe"
    exit 1
}
echo 0x0 > ${cpld_path}/reset_poe
