#! /bin/sh
#
# Copyright 2016, 2018 Cumulus Networks, Inc.
# All rights reserved.
#

# This platform always supports POE
mkdir -p /run/cumulus/poe
touch /run/cumulus/poe/supported # used for unit file ConditionPathExists
cpld_path="/sys/bus/i2c/devices/1-0032"

[ -w ${cpld_path}/poe_enable ] && echo 1 > poe_enable
[ -w ${cpld_path}/poe_reset_disable ] && echo 1 > poe_reset_disable
[ -w ${cpld_path}/reset_poe ] && echo 0 > reset_poe

exit 0
