#! /bin/bash

#
# Copyright 2016, 2018 Cumulus Networks, Inc.
# All rights reserved.
#


# the act-as4610_54 platform has a POE and non-POE version
# we only start poed if the platform supports POE
[ -e /sys/bus/i2c/devices/0-0030/poe_support ] && {
    read supported  < /sys/bus/i2c/devices/0-0030/poe_support 
    if [ "$supported" == 1 ]; then
        mkdir -p /run/cumulus/poe
        touch /run/cumulus/poe/supported # used for unit file ConditionPathExists
    fi
  }
exit 0
